package com.itbaizhan.service;

import com.itbaizhan.User;
import com.itbaizhan.api.UpdateUserService;
import com.itbaizhan.mapper.UserMapper;
import org.apache.dubbo.config.annotation.Service;
import org.springframework.beans.factory.annotation.Autowired;

@Service
public class UpdateUserServiceImpl implements UpdateUserService {
    @Autowired
    private UserMapper userMapper;


    @Override
    public User findUserById(Long id) {
        return userMapper.selectById(id);
    }

    @Override
    public int updateUser(User user) {
        return userMapper.updateById(user);
    }
}
